Subject: bug#10578: 24.0.92; No png images on OpenSUSE 12.1

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 22 Jan 2012 17:12:18 +0100

I'm trying to compile Emacs 24 (current bzr) under OpenSUSE 12.1.
Everything seems to work fine except inserting PNG images.

If I do the following, I just get a blank square:

(insert-image (create-image "/music/repository/Arto Lindsay/Prize/thumbnail.png"))
t

If I insert a gif or a jpeg, things work fine.  If I try to insert
something that isn't an image at all, I get an error message.  But with
pngs, I don't get any error messages, and I don't get an image, just
that blank square.

The png libraries seem to exist:

larsi@linux-hvfx:~/src/emacs/trunk> ldd src/emacs | grep png
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7631000)
	libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb656f000)
larsi@linux-hvfx:~/src/emacs/trunk> ls -l /usr/lib/libpng12.so.0 /usr/lib/libpng14.so.14
lrwxrwxrwx 1 root root 18 Dec  8 01:20 /usr/lib/libpng12.so.0 -> libpng12.so.0.46.0
lrwxrwxrwx 1 root root 18 Nov 10 17:25 /usr/lib/libpng14.so.14 -> libpng14.so.14.8.0

Is there any way to get more image debugging switched on?

In GNU Emacs 24.0.92.2 (i686-pc-linux-gnu, X toolkit)
 of 2012-01-22 on linux-hvfx.site
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<down-mouse-2> <mouse-2> <down-mouse-2> <mouse-2> <help-echo> 
C-y C-x C-e C-x 2 C-x C-f C-a C-k . <backspace> / m 
y <tab> r e <backspace> <backspace> <backspace> u s 
<tab> r e o p <tab> <backspace> <backspace> p o <tab> 
A r t o <tab> / P r <tab> <return> C-v C-x o <up> C-a 
C-k C-k C-y <return> C-y <up> C-e <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> x x x x x x <left> <left> <left> <left> <left> 
<left> M-d M-d d i s p l a y . j p e <backspace> g 
<down> C-u C-x C-e <up> <up> <up> <up> <up> <down> 
C-e <down> C-e <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> M-d t h u 
m b n a i l <down> <return> C-u C-x C-e C-v C-v C-v 
C-v <up> <up> <down> <down> <down> <down> <down> <down> 
C-x 1 C-v <up> <up> M-x a p e o <tab> <backspace> <backspace> 
r <tab> <return> p n g <return> M-x M-p <return> i 
m a g e . * d e b u g <return> M-x M-p <return> d e 
b u g . * i m a g e <return> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> M-x 
r e p o r t - e m <tab> <return>

Recent messages:
PNG warning: Application was compiled with png.h from libpng-1.4.8
PNG warning: Application  is  running with png.c from libpng-1.2.46
PNG error: Incompatible libpng version in application and library
Source file `/home/larsi/src/emacs/trunk/lisp/mail/emacsbug.el' newer than byte-compiled file
PNG warning: Application was compiled with png.h from libpng-1.4.8
PNG warning: Application  is  running with png.c from libpng-1.2.46
PNG error: Incompatible libpng version in application and library
PNG warning: Application was compiled with png.h from libpng-1.4.8
PNG warning: Application  is  running with png.c from libpng-1.2.46
PNG error: Incompatible libpng version in application and library

Load-path shadows:
~/lisp/zenirc-2.112/src/zenirc-example hides /home/larsi/lisp/zenirc-example
/home/larsi/src/cddb.el/expect hides /home/larsi/lisp/expect

Features:
(shadow sort message rfc822 mml mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev mail-utils
gmm-utils mailheader emacsbug help-mode easymenu view apropos
tramp-cache tramp tramp-compat auth-source eieio byte-opt bytecomp
byte-compile cconv macroexp assoc gnus-util mm-util mail-prsvr
password-cache shell pcomplete comint ring format-spec tramp-loaddefs
debug uniquify advice help-fns advice-preload ido flyspell ispell dired
regexp-opt add-log mail-extr jka-compr cl time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dynamic-setting
system-font-setting font-render-setting x-toolkit x multi-tty emacs)